## org.eclipse.datatools.sqltools.sql.parser.ast
Interface ISQLParserVisitor

    public interface ISQLParserVisitor

Super interface for all visitors used to visit the AST nodes created by the SQL parser after parsing.

Author:
  Hui Cao

Method Summary
`java.lang.Object` `visit(SimpleNode node, java.lang.Object data)` Visits the node with the optional data information

Method Detail

### visit

    java.lang.Object visit(SimpleNode node,
                           java.lang.Object data)

  Visits the node with the optional data information

  Parameters:
    `node` - the AST node to be visited
    `data` - accessorial data
  Returns:
    accessorial data for subsequent visiting